POST V1/CredentialManagement.{ext}/ReadOnlyViewCrdentialManagement

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.CredentialManagementSearch
NameDescriptionTypeAdditional information
AccountID

No description available

string

None.

ClientID

No description available

string

None.

VendorName

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "accountID": "sample string 1",
  "clientID": "sample string 2",
  "vendorName": "sample string 3"
}

application/xml, text/xml

Sample:
<CredentialManagementSearch xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <AccountID>sample string 1</AccountID>
  <ClientID>sample string 2</ClientID>
  <VendorName>sample string 3</VendorName>
</CredentialManagementSearch>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Inventory.Entities.ReadonlyViewList
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.ReadonlyViewList

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ReadonlyViewList",
  "response": {
    "readonlyViewList": [
      {
        "cmInventoryId": 1,
        "clientName": "sample string 2",
        "fromDate": "sample string 3",
        "startTime": "sample string 4",
        "toDate": "sample string 5",
        "endTime": "sample string 6",
        "timeZone": "sample string 7",
        "acctIDFR": "sample string 8",
        "acct": "sample string 9",
        "webAcct": "sample string 10",
        "site": "sample string 11",
        "siteNumber": "sample string 12",
        "remit": "sample string 13",
        "vendor": "sample string 14",
        "dedicatedRepresentative": "sample string 15",
        "vendorEmail": "sample string 16",
        "vendorContact": "sample string 17",
        "pinNumber": "sample string 18",
        "url": "sample string 19",
        "ipAddress": "sample string 20",
        "registeredEmail": "sample string 21",
        "userID": "sample string 22",
        "password": "sample string 23",
        "oldAccount": "sample string 24",
        "taxID": "sample string 25",
        "registeredContact": "sample string 26",
        "billReceiptMode": "sample string 27",
        "securityAnswerOne": "sample string 28",
        "securityAnswerTwo": "sample string 29",
        "securityAnswerThree": "sample string 30",
        "securityQuestionOne": "sample string 31",
        "securityQuestionTwo": "sample string 32",
        "securityQuestionThree": "sample string 33",
        "abd": "sample string 34",
        "imd": "sample string 35",
        "comments": "sample string 36",
        "duplicateRequest": true
      },
      {
        "cmInventoryId": 1,
        "clientName": "sample string 2",
        "fromDate": "sample string 3",
        "startTime": "sample string 4",
        "toDate": "sample string 5",
        "endTime": "sample string 6",
        "timeZone": "sample string 7",
        "acctIDFR": "sample string 8",
        "acct": "sample string 9",
        "webAcct": "sample string 10",
        "site": "sample string 11",
        "siteNumber": "sample string 12",
        "remit": "sample string 13",
        "vendor": "sample string 14",
        "dedicatedRepresentative": "sample string 15",
        "vendorEmail": "sample string 16",
        "vendorContact": "sample string 17",
        "pinNumber": "sample string 18",
        "url": "sample string 19",
        "ipAddress": "sample string 20",
        "registeredEmail": "sample string 21",
        "userID": "sample string 22",
        "password": "sample string 23",
        "oldAccount": "sample string 24",
        "taxID": "sample string 25",
        "registeredContact": "sample string 26",
        "billReceiptMode": "sample string 27",
        "securityAnswerOne": "sample string 28",
        "securityAnswerTwo": "sample string 29",
        "securityAnswerThree": "sample string 30",
        "securityQuestionOne": "sample string 31",
        "securityQuestionTwo": "sample string 32",
        "securityQuestionThree": "sample string 33",
        "abd": "sample string 34",
        "imd": "sample string 35",
        "comments": "sample string 36",
        "duplicateRequest": true
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.